LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
lives_clip_data_t Struct Reference

`#include <plugins.h>`

## Data Fields
char * | URI
| the URI of this cdata More...
int | nclips
| number of clips (titles) in container More...
char | container_name [512]
| name of container, e.g. "ogg" or NULL More...
char | title [256]
char | author [256]
char | comment [256]
int | current_clip
| plugin should init this to 0 if URI changes More...
int | width
int | height
int64_t | nframes
lives_interlace_t | interlace
int | offs_x
int | offs_y
int | frame_width
| frame is the surrounding part, including any black border (>=width) More...
int | frame_height
float | par
| pixel aspect ratio More...
float | video_start_time
float | fps
int * | palettes
| list of palettes which the format supports, terminated with WEED_PALETTE_END More...
int | current_palette
| plugin should init this to palettes[0] if URI changes More...
int | YUV_sampling
int | YUV_clamping
int | YUV_subspace
char | video_name [512]
| name of video codec, e.g. "theora" or NULL More...
int | arate
int | achans
int | asamps
boolean | asigned
boolean | ainterleaf
char | audio_name [512]
| name of audio codec, e.g. "vorbis" or NULL More...
int | seek_flag
| bitmap of seek properties More...
int | sync_hint
void * | priv
| private data for demuxer/decoder - host should not touch this More...

## Field Documentation

int lives_clip_data_t::achans

boolean lives_clip_data_t::ainterleaf

int lives_clip_data_t::arate

int lives_clip_data_t::asamps

boolean lives_clip_data_t::asigned

char lives_clip_data_t::audio_name

name of audio codec, e.g. "vorbis" or NULL

char lives_clip_data_t::author

char lives_clip_data_t::comment

char lives_clip_data_t::container_name

name of container, e.g. "ogg" or NULL

int lives_clip_data_t::current_clip

plugin should init this to 0 if URI changes

current clip number in container (starts at 0, MUST be <= nclips) [rw host]

int lives_clip_data_t::current_palette

plugin should init this to palettes[0] if URI changes

current palette [rw host]; must be contained in palettes

float lives_clip_data_t::fps

int lives_clip_data_t::frame_height

int lives_clip_data_t::frame_width

frame is the surrounding part, including any black border (>=width)

int lives_clip_data_t::height

lives_interlace_t lives_clip_data_t::interlace

int lives_clip_data_t::nclips

number of clips (titles) in container

int64_t lives_clip_data_t::nframes

int lives_clip_data_t::offs_x

x and y offsets of picture within frame for primary pixel plane

int lives_clip_data_t::offs_y

int * lives_clip_data_t::palettes

list of palettes which the format supports, terminated with WEED_PALETTE_END

float lives_clip_data_t::par

pixel aspect ratio

pixel aspect ratio (sample width / sample height)

void * lives_clip_data_t::priv

private data for demuxer/decoder - host should not touch this

private data for demuxer/decoder

int lives_clip_data_t::seek_flag

bitmap of seek properties

int lives_clip_data_t::sync_hint

char lives_clip_data_t::title

char * lives_clip_data_t::URI

the URI of this cdata

char lives_clip_data_t::video_name

name of video codec, e.g. "theora" or NULL

float lives_clip_data_t::video_start_time

int lives_clip_data_t::width

int lives_clip_data_t::YUV_clamping

int lives_clip_data_t::YUV_sampling

int lives_clip_data_t::YUV_subspace

The documentation for this struct was generated from the following files:

- src/plugins.h
- lives-plugins/plugins/decoders/decplugin.h